.union, .group,
.union-y, .group-y{
    display: flex;
    width: max-content;
    align-items: center;
    justify-content: center;
    border-radius: inherit;
}

.union > *,
.union-y > * {
    box-shadow: none !important;
    margin: 0;
    &:nth-child(n+2):not(:last-child){border-radius: 0;}
}

.union{
    > *:first-child, .field > *:first-child{
        border-bottom-right-radius: 0 !important;
        border-top-right-radius: 0 !important;
    }
    > *:last-child, .field > *:last-child{
        border-bottom-left-radius: 0 !important;
        border-top-left-radius: 0 !important;
    }
}

.union-y{
    flex-direction: column;

    > *, .field > * {
        width: 100%;
        &:first-child{
            border-bottom-right-radius: 0 !important;
            border-bottom-left-radius: 0 !important;
        }

        &:last-child{
            border-top-right-radius: 0 !important;
            border-top-left-radius: 0 !important;
        }
    }
}

.group > * { margin: 0 5px !important; }

.group-y {
    flex-direction: column;
    margin-top: -5px !important;
    margin-bottom: -5px !important;
    > * { margin: 5px 0 !important; }
    > * { max-width: 100%; }
}
